package cn.com.poc.ai_dialogues.convert;

import cn.com.poc.ai_dialogues.model.BizAiDialogues3rdRelationModel;
import cn.com.poc.ai_dialogues.entity.BizAiDialogues3rdRelationEntity;
import cn.com.poc.ai_dialogues.dto.BizAiDialogues3rdRelationDto;


public class BizAiDialogues3rdRelationConvert {

    public static BizAiDialogues3rdRelationEntity modelToEntity(BizAiDialogues3rdRelationModel model){
        BizAiDialogues3rdRelationEntity entity = new BizAiDialogues3rdRelationEntity();
        entity.setId(model.getId());
        entity.setDialoguesId(model.getDialoguesId());
        entity.setPlatform(model.getPlatform());
        entity.setRelationId(model.getRelationId());
        entity.setIsDeleted(model.getIsDeleted());
        entity.setCreator(model.getCreator());
        entity.setCreatedTime(model.getCreatedTime());
        entity.setModifier(model.getModifier());
        entity.setModifiedTime(model.getModifiedTime());
        entity.setSysVersion(model.getSysVersion());
        return entity;
    }

    public static BizAiDialogues3rdRelationModel entityToModel(BizAiDialogues3rdRelationEntity entity){
        BizAiDialogues3rdRelationModel model = new BizAiDialogues3rdRelationModel();
        model.setId(entity.getId());
        model.setDialoguesId(entity.getDialoguesId());
        model.setPlatform(entity.getPlatform());
        model.setRelationId(entity.getRelationId());
        model.setIsDeleted(entity.getIsDeleted());
        model.setCreator(entity.getCreator());
        model.setCreatedTime(entity.getCreatedTime());
        model.setModifier(entity.getModifier());
        model.setModifiedTime(entity.getModifiedTime());
        model.setSysVersion(entity.getSysVersion());
        return model;
    }
    
    public static BizAiDialogues3rdRelationDto entityToDto(BizAiDialogues3rdRelationEntity entity){
        BizAiDialogues3rdRelationDto dto = new BizAiDialogues3rdRelationDto();
        dto.setId(entity.getId());
        dto.setDialoguesId(entity.getDialoguesId());
        dto.setPlatform(entity.getPlatform());
        dto.setRelationId(entity.getRelationId());
        dto.setIsDeleted(entity.getIsDeleted());
        dto.setCreator(entity.getCreator());
        dto.setCreatedTime(entity.getCreatedTime());
        dto.setModifier(entity.getModifier());
        dto.setModifiedTime(entity.getModifiedTime());
        dto.setSysVersion(entity.getSysVersion());
        return dto;
    }

    public static BizAiDialogues3rdRelationEntity dtoToEntity(BizAiDialogues3rdRelationDto dto){
        BizAiDialogues3rdRelationEntity entity = new BizAiDialogues3rdRelationEntity();
        entity.setId(dto.getId());
        entity.setDialoguesId(dto.getDialoguesId());
        entity.setPlatform(dto.getPlatform());
        entity.setRelationId(dto.getRelationId());
        entity.setIsDeleted(dto.getIsDeleted());
        entity.setCreator(dto.getCreator());
        entity.setCreatedTime(dto.getCreatedTime());
        entity.setModifier(dto.getModifier());
        entity.setModifiedTime(dto.getModifiedTime());
        entity.setSysVersion(dto.getSysVersion());
        return entity;
    }
}